A lot of JS issues

Nextcloud version : 20.0.0.9
Operating system and version : Ubuntu 18.04
Apache or nginx version : 2.4.29
PHP version : 7.2

The issue you are facing:

There are a lot of JS issues present in the version of NextCloud that we running. Is there a way to resolve them or some support or code updations required?

image

Steps to replicate it:

  1. Open the nextcloud installation in any browser
  2. Open your console and you’ll be able to see the errors

Deprecated messages are hints for the developers to change their program code. Due to the fact that the Nextcloud contains a lot of code and the number of developers is limited, it will most likely last a while to get rid of all those messages. So my recommendation is, to keep your installation up-to-date (Nextcloud 20.0.2 is already out!) and wait until all required code changes have been applied.

If you want to get rid of the messages earlier, you’re free to send push-requests in the relevant GitHub repositories and help to get these issues fixed :wink:

Updated the NextCloud version, but the errors still persist

as of today NC20.0.3 is the latest version) :wink:

–>

seems to be still valid here… :wink:

While uploading/deleting multiple files.
I am getting lot of JS issues and 412 error code.